[alsa-devel] [PATCH 2/6] ASoC: codecs: AK4641 depends on GPIOLIB

Mark Brown broonie at opensource.wolfsonmicro.com
Sun Oct 2 22:41:07 CEST 2011

On Sun, Oct 02, 2011 at 10:28:00PM +0200, Arnd Bergmann wrote:
> This driver only builds correctly on platforms that use
> GPIOLIB. Disable it otherwise.

No, gpiolib is one implementation of the GPIO API but if platforms want
to go and define their own that's currently OK (personally I think at
this point we should just be converting all the stragglers over to
gpiolib).  As things stand we shouldn't have dependencies on a
particular implementation of the API.

More information about the Alsa-devel mailing list